const fs = require('fs');
let VAL_DEF = null;

let getValDefine = function() {
    if (!(VAL_DEF)) {
        let data = fs.readFileSync(__dirname.slice(0, __dirname.length - 30) + '/public/web/rpt_value_define.js', 'utf8', 'r');
        eval(data + ' ; VAL_DEF = JV;');
    }
    return VAL_DEF;
}


module.exports = getValDefine();
